=== release 1.4.5 ===

2014-12-18  Sebastian Dröge <slomo@coaxion.net>

	* configure.ac:
	  releasing 1.4.5

2014-12-18 12:06:04 +0100  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  po: Update translations

2014-12-08 21:26:18 +0100  Patrick Radizi <patrickr@axis.com>

	* gst/rtp/gstrtph264pay.c:
	  rtph264pay: Fixes buffer leak when using SPS/PPS
	  Fixes a buffer leak that would occurr if the pipeline was shutdown
	  while a SPS/PPS header was being created.
	  https://bugzilla.gnome.org/show_bug.cgi?id=741271

2014-11-21 11:54:18 +0100  Thibault Saunier <tsaunier@gnome.org>

	* gst/deinterlace/gstdeinterlace.c:
	  Deinterlace: in query_caps return only supported formats if filter is interlaced
	  In some cases the currently set GstVideoInfo is not interlaced, but
	  upstream caps are interlaced and the info is passed in the filter,
	  we should take that info into account and make sure that we do not
	  consider that case as a "pass through" case.
	  https://bugzilla.gnome.org/show_bug.cgi?id=741407

2014-12-03 11:12:55 +0100  Thibault Saunier <tsaunier@gnome.org>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: Use an empty iterator in iterate_internal_link when no links
	  We used to setup an iterator with 1 GValue set with a NULL object
	  pointer which is not the normal way to do that. Instead we should make
	  sure that the first call to gst_iterator_next returns GST_ITERATOR_DONE.

2014-12-03 17:26:56 +0100  Thibault Saunier <tsaunier@gnome.org>

	* gst/rtpmanager/gstrtpsession.c:
	  rtpsession: Use an empty iterator in iterate_internal_link when no links
	  And not a NULL Iterator, so it is consistent with the way it usually
	  works and avoid user to need a different code paths to handle that.

2014-12-09 16:38:38 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ext/vpx/gstvp8enc.c:
	* ext/vpx/gstvp9enc.c:
	  vpXenc: CLOCK_TIME_NONE is not a valid min_latency value
	  We should just use 0 if we do not have the information

2014-12-10 11:35:29 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse: Also only unref caps if they're not NULL

2014-12-10 11:34:42 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse: gst_pad_get_allowed_caps() will return NULL if there is no peer

2014-12-16 13:25:01 +0100  Wim Taymans <wtaymans@redhat.com>

	* sys/osxvideo/osxvideosink.m:
	  osxvideosink: clear rectangle structures before use

2014-12-09 15:09:56 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Always set format
	  Right now we try to be clever by detecting if device format have
	  changed or not, and skip setting format in this case. This is valid
	  behaviour with V4L2, but it's also very error prone. The rational
	  for not setting these all the time is for speed, though I can't
	  measure any noticeable gain on any HW I own. Also, until recently,
	  we where doing get/set on the format for each format we where
	  probing, making it near to impossible that the format would match.
	  This also fixes bug where we where skipping frame-rate setting if
	  format didn't change.
	  https://bugzilla.gnome.org/show_bug.cgi?id=740636

2014-11-02 23:33:23 +0000  Tim-Philipp Müller <tim@centricular.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2src: fix a couple of minor leaks

2014-09-29 11:49:45 +0200  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: set colorspace for output devices
	  When the v4l2 device is an output device, the application shall set the
	  colorspace. So map GStreamer colorimetry info to V4L2 colorspace and set
	  on set_format. In case we have no colorimetry information, we try to
	  guess it according to pixel format and video size.
	  https://bugzilla.gnome.org/show_bug.cgi?id=737579

2014-12-11 10:16:06 +0100  Patrick Radizi <patrickr@axis.com>

	* gst/rtp/gstrtph264pay.c:
	  rtph264pay: fix potential crash when shutting down
	  A race condition in the state change function may cause buffers
	  to be unreffed while they are still used by the streaming thread
	  in gst_rtp_h264_pay_send_sps_pps() resulting in a crash. Chain
	  up to the parent class first in the state change function to
	  make sure streaming has stopped and only then free those buffers.
	  https://bugzilla.gnome.org/show_bug.cgi?id=741381

2014-11-29 18:35:42 -0500  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtpmanager/gstrtprtxreceive.c:
	  rtprtxreceive: Use offset when copying header
	  The header is not always at the start of the packet, so we need to compute
	  the offset first.

2014-11-28 13:12:46 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/taglib/gstapev2mux.cc:
	  apev2mux: write APE tags at end for wavpack files
	  http://www.wavpack.com/file_format.txt:
	  "Both the APEv2 tags and/or ID3v1 tags must come at the end of the
	  WavPack file, with the ID3v1 coming last if both are present."
	  WavPack files that contain APEv2 tags at the beginning of the files
	  are unplayable on players that use FFmpeg (like VLC) and most other
	  software (except Banshee). Players that use libwavpack directly can
	  play the files because it skips the tags, but does not recognize the
	  tag data at that location.
	  https://bugzilla.gnome.org/show_bug.cgi?id=711437

2014-12-09 14:01:50 +0100  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: set buffer interlace flags when field is V4L2_FIELD_INTERLACED
	  If v4l2_buffer.field is V4L2_FIELD_INTERLACED, we set corresponding
	  GstVideoBuffer flags depending on the video standard.
	  According to V4L2 specification, M/NTSC transmits the bottom field
	  first, all other standards the top field first.
	  https://bugzilla.gnome.org/show_bug.cgi?id=737603

2014-10-30 17:41:19 +0000  Simon Farnsworth <simon.farnsworth@onelan.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2src.c:
	  v4l2: Clean up interlace support
	  Rather than try and guess interlace support as part of checking supported
	  sizes, look for interlace support specifically in its own function.
	  As a cleanup, use V4L2_FIELD_ANY when probing sizes, which should result in
	  the driver doing the right thing.
	  With my capture setup, this gets me the following sample caps:
	  For 1080i resolution:
	  video/x-raw, format=(string)YUY2, width=(int)1920, height=(int)1080, pixel-aspect-ratio=(fraction)1/1, interlace-mode=(string)interleaved, framerate=(fraction){ 25/1, 30/1 }
	  For 720p resolution:
	  video/x-raw, format=(string)YUY2, width=(int)1280, height=(int)720, pixel-aspect-ratio=(fraction)1/1, interlace-mode=(string)progressive, framerate=(fraction){ 50/1, 60/1 }
	  For 576i/p resolution (both possible at the point of query):
	  video/x-raw, format=(string)YUY2, width=(int)720, height=(int)576, pixel-aspect-ratio=(fraction)1/1, interlace-mode=(string){ progressive, interleaved }, framerate=(fraction){ 25/1, 50/1 }
	  This, in turn, makes 576i work correctly; with the old code,
	  the caps would be interlace-mode=progressive for interlaced video.
	  https://bugzilla.gnome.org/show_bug.cgi?id=726194

2014-12-07 17:33:51 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2: Workaround libv4l2 RW emulation bug
	  When libv4l2 emulates RW mode on top of MMAP devices, the queues are
	  only initialized on first read. The problem is that poll() will fail
	  if called before the queues are initialized and streaming. Workaround
	  this by doing a zero size read when pool is started in that IO mode.
	  https://bugzilla.gnome.org/show_bug.cgi?id=740633

2014-12-07 17:27:37 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2: Fix RW io mode
	  In RW, allocator can be null, max_buffers can be zero, and we need not
	  to wait while the queue is empty since there is no queue.
	  https://bugzilla.gnome.org/show_bug.cgi?id=740633

2014-11-07 16:41:52 +0100  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: unref pool when v4l2_allocator_new() fails
	  https://bugzilla.gnome.org/show_bug.cgi?id=739791

2014-11-07 17:06:49 +0100  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* sys/v4l2/gstv4l2allocator.h:
	  v4l2allocator: fix gst_v4l2_allocator_stop prototype
	  gst_v4l2_allocator_stop returns a GstV4l2Return, not a gboolean.
	  https://bugzilla.gnome.org/show_bug.cgi?id=739792

2014-11-26 10:33:09 +0300  Andrei Sarakeev <sarakusha@gmail.com>

	* gst/videocrop/gstaspectratiocrop.c:
	* gst/videocrop/gstaspectratiocrop.h:
	  aspectratiocrop: Handle resolution changes properly
	  When an caps-event is received, we must immediately change the crop
	  to videocrop correctly changed caps-event dimension, otherwise the
	  videocrop will first use the previous value of the crop that when
	  resizing video to a smaller resolution may cause an error.
	  https://bugzilla.gnome.org/show_bug.cgi?id=740671

2014-11-30 17:52:47 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/v4l2_calls.h:
	  v4l2: Remove last include to linux/videodev2.h
	  We now use and update our internal copy so we no longer have to ifdef
	  the entire code for features and defines that where added over the
	  years.
	  https://bugzilla.gnome.org/show_bug.cgi?id=740905

2014-11-19 16:12:38 +0100  Jan Alexander Steffens (heftig) <jsteffens@make.tv>

	* gst/flv/gstflvdemux.c:
	  flvdemux: Restrict resyncing to TS regressions
	  The behavior of resyncing video and audio indepen-
	  dently can cause A/V desyncs. Lets restrict resyncs
	  to jumps backward for now.
	  https://bugzilla.gnome.org/show_bug.cgi?id=736397
	  Conflicts:
	  gst/flv/gstflvdemux.c

2014-11-20 13:14:14 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtp/gstrtpgstdepay.c:
	* gst/rtp/gstrtpgstpay.c:
	  rtpgstpay: put 0-byte at the end of events
	  Put a 0-byte at the end of the event string. Does not break ABI because
	  old depayloaders will skip the 0 byte (which is included in the length).
	  Expect a 0-byte at the end of the event string or a ; for old
	  payloaders.
	  See https://bugzilla.gnome.org/show_bug.cgi?id=737591

2014-11-20 12:40:28 +0100  Wim Taymans <wtaymans@redhat.com>

	* gst/rtp/gstrtpgstdepay.c:
	  rtpgstdepay: avoid buffer overread.
	  Check that a caps event string is 0 terminated and the event string is
	  terminated with a ; to avoid buffer overreads.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=737591

2014-11-16 12:34:17 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	* sys/v4l2/gstv4l2src.c:
	* sys/v4l2/gstv4l2transform.c:
	* sys/v4l2/gstv4l2videodec.c:
	  v4l2: Handle corrupted buffer with empty payload
	  This allow skipping buffer flagged with ERROR that has no payload.
	  This is typical behaviour when a recovererable error occured during
	  capture in the driver, but that no valid data was ever written into that
	  buffer. This patch also translate V4L2_BUF_FLAG_ERROR into
	  GST_BUFFER_FLAG_CORRUPTED. Hence decoding error produce
	  by decoder due to missing frames will now be correctly marked. Finally,
	  this fixes a buffer leak when EOS is reached.
	  https://bugzilla.gnome.org/show_bug.cgi?id=740040

2014-11-20 10:45:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/isomp4/gstqtmuxmap.c:
	  qtmux: don't limit max video resolution to 4096x4096
	  MAX isn't entirely correct as upper limit either,
	  it should really be MAXUINT32, but it's unlikely
	  to be a problem in the near future.
	  https://bugzilla.gnome.org/show_bug.cgi?id=740407

2014-11-19 15:06:00 -0800  Aleix Conchillo Flaqué <aleix@oblong.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: fix leak for mikey base64 decoded key-mgmt
	  https://bugzilla.gnome.org/show_bug.cgi?id=740392

2014-11-17 23:16:03 +1100  Matthew Waters <matthew@centricular.com>

	* gst/videomixer/videomixer2.c:
	* gst/videomixer/videomixer2.h:
	  videomixer: fix up QoS handling for live sources
	  Only attempt adaptive drop when we are not live
	  https://bugzilla.gnome.org/show_bug.cgi?id=739996

2014-11-09 11:04:33 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/matroska/matroska-mux.c:
	  matroska-mux: Use G_DEFINE_TYPE() to register the pad instead of manually registering it

2014-11-06 15:37:28 +0100  Göran Jönsson <goranjn@axis.com>

	* gst/matroska/matroska-mux.c:
	  matroskamux: make GstMatroskamuxPad get_type() function thread-safe
	  https://bugzilla.gnome.org/show_bug.cgi?id=739722

2014-11-01 22:39:41 +0100  Aurélien Zanelli <aurelien.zanelli@darkosphere.fr>

	* ext/vpx/gstvp8enc.c:
	* ext/vpx/gstvp9enc.c:
	  vpx: mark arnr-type properties as deprecated and set them to no-op
	  ARNR type control in libvpx has been deprecated so this commit mark the
	  vp8enc and vp9enc associated properties as deprecated and change their
	  behavior to just display a warning message.
	  https://bugzilla.gnome.org/show_bug.cgi?id=739476

2014-11-06 21:21:40 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Improve buffer validation
	  Improve buffer validation by making sure each memory are the right
	  one and that each memory is writable. This fixes tearing issues in
	  case downstream uses gst_buffer_make_writable() or other type
	  of GstBuffer copy where memory are only reffed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=739754

2014-11-07 16:11:24 +0100  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: fix error message if allocator is already active
	  https://bugzilla.gnome.org/show_bug.cgi?id=739789

=== release 1.4.4 ===

2014-11-06 13:02:12 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 1.4.4

2014-11-06 12:44:02 +0100  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2014-11-01 12:18:02 +0100  Aurélien Zanelli <aurelien.zanelli@darkosphere.fr>

	* ext/vpx/gstvp8utils.h:
	  vpx: remove compatibility defines
	  We are guaranteed to have VPX_IMG_FMT_I420, VPX_PLANE_Y,
	  VPX_PLANE_U and VPX_PLANE_V as we require libvpx > 1.1.0.
	  https://bugzilla.gnome.org/show_bug.cgi?id=739476

2014-11-01 11:59:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpmp2tpay.c:
	  rtpmp2tpay: fix up template caps so we can output the default pt 33
	  Add fixed payload type for mp2t to template caps as well, so
	  our output caps match the advertised default pt. Fixes a
	  regression from 1.2.
	  There's still something wrong with caps negotiation though,
	  rtpmp2tpay payload=96 ! fakesink will not output caps with
	  payload=96.

2014-10-27 11:08:20 +0100  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/aacparse.c:
	  aacparse: Fix unit test now that we always have profile/level in the caps

2014-10-26 11:47:25 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse: Always set profile/level on the caps
	  We have the information already, so why not use it?

2014-10-30 15:37:36 -0700  Aleix Conchillo Flaqué <aleix@oblong.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: mikey related memory leaks
	  https://bugzilla.gnome.org/show_bug.cgi?id=739430

2014-10-28 21:32:06 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/pulse/pulsedeviceprovider.h:
	* sys/v4l2/gstv4l2deviceprovider.h:
	* sys/v4l2/gstv4l2tuner.h:
	  pulse, v4l2: add missing G_END_DECLS in some places

2014-10-22 22:50:54 +0530  Arun Raghavan <arun@accosted.net>

	* ext/pulse/pulsesink.c:
	  pulsesink: Temporarily disable stream status posting
	  We need a mechanism in PulseAudio to allow running code outside the
	  mainloop lock. Then we'd be able to post to the bus (taking the
	  GST_OBJECT_LOCK), without worrying about locking order with the mainloop
	  lock, which is the current cause of deadlocks while trying to post the
	  stream status messages.
	  https://bugzilla.gnome.org/show_bug.cgi?id=736071

2014-10-07 15:29:33 +0200  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: cleanly handle streamon failure for output device
	  On streamon failure, the queued buffer is not released from the
	  bufferpool class point of view because it is queued to the driver and
	  the flush logic is not performed since we are not in streaming state.
	  It causes the v4l2 bufferpool to always return that stop method failed
	  and to leak v4l2 objects and buffers.
	  This commit solve this by performing the flush logic in error case, ie
	  flushing the allocator and restoring queued buffer state to non-queued.
	  https://bugzilla.gnome.org/show_bug.cgi?id=738102

2014-10-08 10:31:21 +0200  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: implement dispose method
	  Unref objects in dispose method rather than in finalize in order to
	  prevent circular reference.
	  https://bugzilla.gnome.org/show_bug.cgi?id=738102

2014-10-08 10:35:14 +0200  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: check that allocator is non null when stopping pool
	  Otherwise, we could dereference NULL allocator when the stop method is
	  called by the GstBufferPool's finalize method.
	  https://bugzilla.gnome.org/show_bug.cgi?id=738102

2014-10-09 12:15:05 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2sink.c:
	  v4l2sink: Implement unlock/unlock_stop
	  This will prevent deadlocks, but will also properly flush the pool and allocator
	  when going to READY state. It should also fix issues reported on mailing list
	  when seeking is performed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=738152

2014-10-25 12:36:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: fix crash on some 32-bit systems
	  Make sure to pass right number of bits to gst_structure_new()
	  which is a vararg function.
	  Fixes elements/rtpaux unit test on ppc32.

2014-10-24 23:48:30 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/interleave/interleave.c:
	  interleave: intersect result with filter caps in caps query
	  Fixes crash in audiotestsrc because of an unsupported format
	  getting negotiated on big-endian systems with
	  audiotestsrc ! interleave ! audioconvert ! wavenc

2014-10-22 15:28:44 +0200  Ananda <ananda@latelier23.com>

	* ext/speex/gstspeexdec.c:
	* ext/speex/gstspeexenc.c:
	  speex: Fix segfault when resetting the codecs multiple times
	  https://bugzilla.gnome.org/show_bug.cgi?id=738793

2014-10-21 13:10:24 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: make debug line less confusing

2014-10-03 17:28:06 -0700  Aleix Conchillo Flaqué <aleix@oblong.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: set full stream caps on internal src TCP pads
	  Set the complete stream caps on the TCP internal src pads. Otherwise,
	  ptdemux will not properly detect the caps change.
	  https://bugzilla.gnome.org/show_bug.cgi?id=737868

2014-10-17 22:23:27 +0200  Sjoerd Simons <sjoerd@luon.net>

	* gst/rtpmanager/gstrtpmux.c:
	* tests/check/elements/rtpmux.c:
	  rtpmux: Don't set PROXY_CAPS flag on the src pad
	  rtpmux behaves like a funnel in that it forwards whatever upstream is
	  sending buffers. So setting proxy caps doesn't make sense as the
	  upstream don't have to have compatible caps, thus resulting in an empty
	  caps set as a result of a caps query. Instead set fixed caps just
	  as funnel does.
	  https://bugzilla.gnome.org/show_bug.cgi?id=738722

2014-10-20 11:57:38 +0530  Vineeth T M <vineeth.tm@samsung.com>

	* gst/videobox/gstvideobox.c:
	  videobox: critical error when element properties set as max/min
	  left, right, top, bottom can be set from range of -2147483648 to 2147483647
	  when i launch the videobox element with that values, it gives a critical error
	  (gst-check-1.0:29869): GStreamer-CRITICAL **: gst_value_set_int_range_step: assertion 'start < end' failed
	  This happens because min cannot be equal to max.
	  https://bugzilla.gnome.org/show_bug.cgi?id=738838

2014-10-11 11:18:42 +1100  David Sansome <me@davidsansome.com>

	* gst/equalizer/gstiirequalizer.c:
	  equalizer: Don't call iirequalizer's transform_ip in passthrough mode
	  It tries to map the read-only buffer with GST_MAP_READWRITE and crashes.
	  https://bugzilla.gnome.org/show_bug.cgi?id=737886

2014-10-02 14:26:08 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/gstsouphttpclientsink.c:
	  souphttpclientsink: Fix lifetime of stream headers and queued buffers
	  Stream headers are updated whenever ::set_caps is called, so we can't assume
	  they'll be valid before the message body is written out. We *can* assume that
	  for queued buffers, but SOUP_MEMORY_STATIC is still wrong for those.
	  Also, add some debug logging for stream header interactions.
	  https://bugzilla.gnome.org/show_bug.cgi?id=737771

2014-10-02 03:26:22 +0200  Matej Knopp <matej.knopp@gmail.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse: fix memory leak when prepending ADTS headers
	  https://bugzilla.gnome.org/show_bug.cgi?id=737761

2014-10-02 10:10:11 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/wavenc/gstwavenc.c:
	  wavenc: Send CAPS event after the pad was activated
	  Otherwise the CAPS event will be dropped and we never configure any caps at
	  all, leading to weird behaviour in many situations. Especially header
	  rewriting is not going to work if a capsfilter is after wavenc.
	  https://bugzilla.gnome.org/show_bug.cgi?id=737735

2014-10-01 23:12:30 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/gstsouphttpclientsink.c:
	  souphttpclientsink: Add some more useful debug logging

2014-10-01 23:05:03 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/gstsouphttpclientsink.c:
	  souphttpclientsink: Free queued buffers in ::reset
	  ::render sets a new callback for writing out new buffers only if there aren't
	  already buffers queued for writing with a previously-scheduled callback.
	  However, if the previously-scheduled callback is interrupted by a state change
	  (either manually or due to an error) and there are still buffers in the queue,
	  restarting the pipeline will result in buffers being queued forever, and no
	  callbacks will ever be scheduled, and no buffers will be written out.
	  https://bugzilla.gnome.org/show_bug.cgi?id=737739

2014-09-30 11:28:39 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/vpx/gstvp8enc.c:
	  vp8enc: finish() and drain() should return a GstFlowReturn

2014-09-30 11:35:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/vpx/gstvp8enc.c:
	* ext/vpx/gstvp9enc.c:
	  vp8enc/vp9enc: Protect the encoder with a mutex in all situations

2014-09-30 11:31:43 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/vpx/gstvp9enc.c:
	  vp9enc: Allow caps renegotiation
	  https://bugzilla.gnome.org/show_bug.cgi?id=726329

2014-03-14 12:59:02 +0100  Jose Antonio Santos Cadenas <santoscadenas@gmail.com>

	* ext/vpx/gstvp8enc.c:
	  vp8enc: Allow caps renegotiation
	  https://bugzilla.gnome.org/show_bug.cgi?id=726329

2014-09-29 22:48:16 +0530  Arun Raghavan <arun@accosted.net>

	* ext/pulse/pulsesink.c:
	* ext/pulse/pulsesrc.c:
	  pulse: Add some documentation about threading and synchronisation
	  This gives a quick introduction to how the pulsesink/pulsesrc code
	  interacts with the pa_threaded_mainloop that we start up to communicate
	  with the server.

2014-09-29 20:18:08 +0530  Arun Raghavan <arun@accosted.net>

	* ext/pulse/pulsesink.c:
	  pulsesink: Make emitting stream status messages synchronous
	  The stream status messages are emitted in the PA mainloop thread, which
	  means the mainloop lock is taken, followed by the Gst object lock (by
	  gst_element_post_message()). In all other locations, the order of
	  locking is reversed (this is unavoidable in a bunch of cases where the
	  object lock is taken by GstBaseSink or GstAudioBaseSink, and then we get
	  control to take the mainloop lock).
	  The only way to guarantee that the defer callback for stream status
	  messages doesn't deadlock is to either stop posting those messages, or
	  make sure that the message emission is completed before we proceed to
	  any point that might take the object lock before the mainloop lock
	  (which is what we do after this patch).
	  https://bugzilla.gnome.org/show_bug.cgi?id=736071

2014-10-10 18:30:07 -0400  Olivier Crête <olivier.crete@ocrete.ca>

	* gst/rtpmanager/rtpsource.c:
	* gst/rtpmanager/rtpsource.h:
	  rtpsource: Rename seqnum-base to seqnum-offset in caps
	  This was modified back in 1.0 in GstRtpBasePayload

2014-10-10 17:30:24 -0400  Olivier Crête <olivier.crete@ocrete.ca>

	* gst/rtpmanager/gstrtpmux.c:
	* gst/rtpmanager/gstrtpmux.h:
	* tests/check/elements/rtpmux.c:
	  rtpmux: clock-base and seqnum-base -> timestamp-offset and seqnum-offset
	  These were renamed in GstRTPBasePayload in 1.0

2014-10-10 18:11:19 -0400  Olivier Crête <olivier.crete@ocrete.ca>

	* gst/dtmf/gstrtpdtmfsrc.c:
	* tests/check/elements/dtmf.c:
	  rtpdtmfsrc: clock-base and seqnum-base -> timestamp-offset and seqnum-offset
	  These were renamed in GstRTPBasePayload in 1.0

=== release 1.4.3 ===

2014-09-24 12:35:49 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 1.4.3

2014-09-24 11:33:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2014-09-23 22:55:48 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/audioparsers/gstflacparse.c:
	  flacparse: Only calculate with durations != -1

2014-09-23 09:47:31 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/elements/souphttpsrc.c:
	  check/soup: Temporarily disable G_ENABLE_DIAGNOSTIC
	  The SOUP_SERVER_PORT property has been deprecated in recent libsoup
	  versions.

2014-09-23 09:43:05 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/elements/souphttpsrc.c:
	  check/soup: Define minimum version required
	  To avoid deprecation warnings

=== release 1.4.2 ===

2014-09-19 14:41:21 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 1.4.2

2014-09-19 10:58:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
